LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 07-16-2015, 07:09 AM   #1
datta1993
LQ Newbie
 
Registered: Jul 2015
Posts: 2

Rep: Reputation: Disabled
Unhappy firefox installation


How to download and install Firefox in my Linux machine.I don't have any other browser. so tell me a way to download the code.
 
Old 07-16-2015, 07:19 AM   #2
yancek
LQ Guru
 
Registered: Apr 2008
Distribution: PCLinux, Slackware
Posts: 8,600

Rep: Reputation: 1769Reputation: 1769Reputation: 1769Reputation: 1769Reputation: 1769Reputation: 1769Reputation: 1769Reputation: 1769Reputation: 1769Reputation: 1769Reputation: 1769
Which Linux distribution are you using? Most will have it in their repositories which is the best way to do it. Otherwise, the download site is at the link below.

https://www.mozilla.org/en-US/firefox/new/
 
Old 07-16-2015, 09:30 AM   #3
HMW
Member
 
Registered: Aug 2013
Location: Sweden
Distribution: Debian, Arch, Red Hat, CentOS
Posts: 773
Blog Entries: 3

Rep: Reputation: 369Reputation: 369Reputation: 369Reputation: 369
And here is a step-by-step guide for installing Firefox (in /opt), for pretty much any distro:
http://www.libre-software.net/how-to...ntu-linux-mint
 
Old 07-16-2015, 09:58 AM   #4
onebuck
Moderator
 
Registered: Jan 2005
Location: Summer Midwest USA, Central Illinois, Winter Central Florida
Distribution: SlackwareŽ
Posts: 13,430
Blog Entries: 31

Rep: Reputation: 2603Reputation: 2603Reputation: 2603Reputation: 2603Reputation: 2603Reputation: 2603Reputation: 2603Reputation: 2603Reputation: 2603Reputation: 2603Reputation: 2603
Member response

Hi,

Quote:
Originally Posted by datta1993 View Post
How to download and install Firefox in my Linux machine.I don't have any other browser. so tell me a way to download the code.
You can get Firefox from; http://ftp.mozilla.org/pub/mozilla.org/firefox/
via a ftp client. You can download on your MS Window based system then move to your Gnu/Linux. Or just use from cli on the Gnu/Linux; 'wget http://ftp.mozilla.org/pub/mozilla.o...x-39.0.tar.bz2' for the x86_64 version.

As other members have indicated, the Gnu/Linux in use repository would be even better and much easier for you to install for their package.

Please consider reading; http://www.linuxquestions.org/questi...#faq_lqwelcome so you can post a query in the future that will help us to help you since you failed to include valued information.

Hope this helps!
Have fun & enjoy!
 
Old 07-17-2015, 12:45 AM   #5
datta1993
LQ Newbie
 
Registered: Jul 2015
Posts: 2

Original Poster
Rep: Reputation: Disabled
Im using CentOS 5:
Im able to install Firefox , but it is saying some packages are missing, like (give me a single link which will download all the packages required)
atk >= 1.9.0-1 is needed by gtk2-2.10.4-30.el5.i386
hicolor-icon-theme is needed by gtk2-2.10.4-30.el5.i386
libXcursor.so.1 is needed by gtk2-2.10.4-30.el5.i386
libXinerama.so.1 is needed by gtk2-2.10.4-30.el5.i386
libXrandr.so.2 is needed by gtk2-2.10.4-30.el5.i386
libatk-1.0.so.0 is needed by gtk2-2.10.4-30.el5.i386
libcairo.so.2 is needed by gtk2-2.10.4-30.el5.i386
libcups.so.2 is needed by gtk2-2.10.4-30.el5.i386
libjpeg.so.62 is needed by gtk2-2.10.4-30.el5.i386
libpango-1.0.so.0 is needed by gtk2-2.10.4-30.el5.i386
libpangocairo-1.0.so.0 is needed by gtk2-2.10.4-30.el5.i386
libpng12.so.0 is needed by gtk2-2.10.4-30.el5.i386
libpng12.so.0(PNG12_0) is needed by gtk2-2.10.4-30.el5.i386
libtiff >= 3.6.1 is needed by gtk2-2.10.4-30.el5.i386
libtiff.so.3 is needed by gtk2-2.10.4-30.el5.i386
pango >= 1.13.0-1 is needed by gtk2-2.10.4-30.el5.i386
 
Old 07-17-2015, 07:07 AM   #6
Inkit
Member
 
Registered: Feb 2011
Location: India
Distribution: Mint 10
Posts: 142

Rep: Reputation: 15
Have you updated your system?
 
Old 07-17-2015, 06:22 PM   #7
John VV
LQ Muse
 
Registered: Aug 2005
Location: A2 area Mi.
Posts: 17,453

Rep: Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601
cent os 5.11 ( the ONLY!!!!!!! supported version)

already has
"firefox-38.1.0-1.el5.centos.x86_64.rpm"
in the update repos


all you have to do is run a update
Code:
su -
yum update
and YOU will have 38 installed !!!


but mind you the LEGACY SUPPORT 5 series is showing it's 8 years of age
and is now in maintenance ONLY support
there will NEVER!!! be any new versions of software for 5
ALL new software support ENDED IN APRIL 2014

5 is only getting SECURITY and bug fixes


Last edited by John VV; 07-17-2015 at 06:24 PM.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
installation of firefox charlie_lab Slackware 2 12-18-2013 12:09 PM
installation of firefox-3.5.1 biplabbijay Linux - Newbie 2 07-31-2009 05:10 AM
Firefox didn't run after Firefox 2 installation nightrider Linux - Newbie 15 04-03-2008 10:24 PM
Firefox installation shivsankarr Linux - Newbie 1 11-23-2007 08:54 PM
Firefox 1.0.7 installation Sushy Linux - Software 3 10-05-2005 07:06 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie

All times are GMT -5. The time now is 01:02 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration